@import url('https://fonts.cdnfonts.com/css/little-toy-builders');
/* Sample Color background: linear-gradient(90deg, #EBF2FA 10%, #10546F 90%); */
/* Sample Color 2 background: radial-gradient(#079d05, #AFD487) */
/* Sample Color 3 linear-gradient(270deg, #c8dff9 10%, #157094 90%) */
/* html {
} */

body {
    max-height: 100vh;
    max-width: 100vw;
}

* {
    box-sizing: border-box;
}

ul > li {
    list-style: none;
}

.game-row {
    --bs-gutter-x: 1.5rem;
    --bs-gutter-y: 0;
    display: flex;
    flex-wrap: wrap;
    margin-top: calc(-1 * var(--bs-gutter-y));
    margin-right: calc(-.5 * var(--bs-gutter-x));
    margin-left: calc(-.5 * var(--bs-gutter-x));
    align-items: center;
    justify-content: center;
    text-align: center;
}

.new-img {
    border-radius: 10%;
    border: none;
    background-blend-mode: normal;
    max-width: 100%;
    height: auto;
    margin-top: 20px;
}

.ash-img {
    border-radius: 10%;
    border: none;
    background-blend-mode: normal;
    max-width: 100%;
    height: auto;
    margin-top: 40px;
    margin-bottom: 20px;
}

.jackie-img {
    border-radius: 10%;
    border: none;
    background-blend-mode: normal;
    max-width: 100%;
    height: auto;
    margin-top: 40px;
    margin-bottom: 20px;
}

.jordan-img {
    border-radius: 10%;
    border: none;
    background-blend-mode: normal;
    max-width: 100%;
    height: auto;
    margin-top: 40px;
    margin-bottom: 20px;
}

.young-img {
    border-radius: 10%;
    border: none;
    background-blend-mode: normal;
    max-width: 100%;
    height: auto;
    margin-top: 40px;
    margin-bottom: 20px;
}

.new-buttons-one {
    font-weight: bold;
    font-size: 20px;
    border: 0px;
    background-color: inherit;
    font-family: 'Little Toy Builders', sans-serif;
    letter-spacing: 2px;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(36 255 36));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -2px -2px 0px rgb(255 0 0);
    margin: 10px;
    text-transform: uppercase;
}

.new-buttons-two {
    font-weight: bold;
    font-size: 20px;
    border: 0px;
    background-color: inherit;
    font-family: 'Little Toy Builders', sans-serif;
    letter-spacing: 2px;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(13, 53, 0));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -2px -2px 0px rgb(0, 145, 0);
    margin: 10px;
    text-transform: uppercase;
}

.new-buttons-three {
    font-weight: bold;
    font-size: 20px;
    border: 0px;
    background-color: inherit;
    font-family: 'Little Toy Builders', sans-serif;
    letter-spacing: 2px;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(253, 82, 242));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -2px -2px 0px rgb(0 0 0);
    margin: 10px;
    text-transform: uppercase;
}

.new-buttons-four {
    font-weight: bold;
    font-size: 20px;
    border: 0px;
    background-color: inherit;
    font-family: 'Little Toy Builders', sans-serif;
    letter-spacing: 2px;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(0, 131, 140));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -2px -2px 0px #8416E6;
    margin: 10px;
    text-transform: uppercase;
}

.new-buttons-five {
    font-weight: bold;
    font-size: 20px;
    border: 0px;
    background-color: inherit;
    font-family: 'Little Toy Builders', sans-serif;
    letter-spacing: 2px;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(138, 36, 255));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -2px -2px 0px rgb(255, 255, 109);
    margin: 10px;
    text-transform: uppercase;
}

.new-buttons-one:hover, .new-buttons-two:hover, .new-buttons-three:hover, .new-buttons-four:hover, .new-buttons-five:hover {
    animation-name: bounce;
    animation-duration: 1s;
    animation-iteration-count: infinite;
}

@keyframes bounce {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-5px);
    }
    100% {
        transform: translateY(0px);
    }
}

.img-gap {
    margin-right: 5px;
}

.game-title {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(200, 152, 255));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -5px -5px 0px rgb(255, 168, 232);
    font-size: 6vw;
    text-align: center;
    text-transform: uppercase;
    animation-name: shake;
    animation-duration: 0.8s;
    animation-iteration-count: infinite;
    padding-bottom: 30px;
}

.mini-land-title {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(200, 152, 255));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -5px -5px 0px rgb(255, 168, 232);
    font-size: 6vw;
    text-align: center;
    text-transform: uppercase;
    padding-top: 15px;
}

@keyframes shake {
    0% {
        transform: translate(1px, 1px) rotate(0deg);
    }
    10% {
        transform: translate(-1px, -2px) rotate(-1deg);
    }
    20% {
        transform: translate(-3px, 0px) rotate(1deg);
    }
    30% {
        transform: translate(3px, 2px) rotate(0deg);
    }
    40% {
        transform: translate(1px, -1px) rotate(1deg);
    }
    50% {
        transform: translate(-1px, 2px) rotate(-1deg);
    }
    60% {
        transform: translate(-3px, 1px) rotate(0deg);
    }
    70% {
        transform: translate(3px, 1px) rotate(-1deg);
    }
    80% {
        transform: translate(-1px, -1px) rotate(1deg);
    }
    90% {
        transform: translate(1px, 2px) rotate(0deg);
    }
    100% {
        transform: translate(1px, -2px) rotate(-1deg);
    }
}

.ash-title {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(13, 53, 0));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -5px -5px 0px rgb(0, 145, 0);
    font-size: 6vw;
    text-align: center;
    text-transform: uppercase;
}

.jackie-title {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(253, 82, 242));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -5px -5px 0px #000;
    font-size: 6vw;
    text-align: center;
    text-transform: uppercase;
}

.jordan-title {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(0, 131, 140));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -5px -5px 0px #8416E6;
    font-size: 6vw;
    text-align: center;
    text-transform: uppercase;
}

.young-title {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(138, 36, 255));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -5px -5px 0px rgb(255, 255, 109);
    font-size: 6vw;
    text-align: center;
    text-transform: uppercase;
}

.game-text-one {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(44, 61, 138));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -2px -2px 0px rgb(0, 0, 0);
    font-size: 1.5vw;
    text-align: center;
}

.game-text-two {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(255 0 0));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -3px -3px 0px rgb(36 255 36);
    font-size: 4vw;
    text-align: center;
}

.game-text-three {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(200 200 200), rgb(255 0 0));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -1.5px -1.5px 0px rgb(102, 0, 255);
    font-size: 3vw;
    text-align: center;
    text-transform: uppercase;
    animation-name: slide;
    animation-duration: 5s;
    animation-iteration-count: 2;
    animation-timing-function: ease;
}

@keyframes slide {
    0% {
        transform: translateX(-100vw)
    }
    20% {
        transform: translateX(0);
    }
    80% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(100vw);
    }
}

.game-main {
    background: rgb(151, 246, 255);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    flex-wrap: nowrap;
    padding: 30px;
}

.mini-land-bg {
    background-color: rgb(151, 246, 255);
}

.game-main-two {
    position: relative;
    z-index: 2;
}

.wheel-container {
    display: flex;
    justify-content: center;
    position: relative;
    height: 800px;
    overflow: hidden;
    margin-top: 100px;
}

.wheel {
    background-color: transparent;
    border: 5px solid rgb(140, 0, 0);
    border-radius: 50%;
    position: absolute;
    height: 25vw;
    width: 25vw;
    max-width: 500px;
    max-height: 500px;
    animation-name: wheel;
    animation-duration: 10s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    margin: 10px;
}

.ferris-wheel-stem {
    position: relative;
    width: 2vw;
    height: 25vw;
    z-index: -1;
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
    margin-top: 13.5vw;
    background: linear-gradient(0deg, rgb(170, 90, 90) 0%, rgb(196, 51, 51) 50%, rgb(25, 0, 0) 100%);
    box-shadow: 0 0 5px 0 rgb(189, 0, 0);
}

.line {
    background-color: black;
    width: 50%;
    height: 2px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform-origin: 0% 0%;
    border: 2px solid black;
}

.line:nth-of-type(2) {
    transform: rotate(60deg);
}

.line:nth-of-type(3) {
    transform: rotate(120deg);
}

.line:nth-of-type(4) {
    transform: rotate(180deg);
}

.line:nth-of-type(5) {
    transform: rotate(240deg);
}

.line:nth-of-type(6) {
    transform: rotate(300deg);
}

@keyframes wheel {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.cabin {
    width: 20%;
    height: 17%;
    position: absolute;
    border: 2px solid;
    border-radius: 10%;
    transform-origin: 50% 0%;
    animation: cabins 10s ease-in-out infinite;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    box-shadow: 3.5px 3.5px 0px;
}

.cabin:nth-of-type(1) {
    background-color: red;
    right: -8.5%;
    top: 50%;
}

.cabin:nth-of-type(2) {
    background-color: yellow;
    right: 17%;
    top: 93.5%;
}

.cabin:nth-of-type(3) {
    background-color: rgb(60, 255, 60);
    right: 67%;
    top: 93.5%;
}

.cabin:nth-of-type(4) {
    background-color: red;
    left: -8.5%;
    top: 50%;
}

.cabin:nth-of-type(5) {
    background-color: yellow;
    left: 17%;
    top: 7%;
}

.cabin:nth-of-type(6) {
    background-color: rgb(60, 255, 60);
    right: 17%;
    top: 7%;
}

.cabin-door {
    position: absolute;
    width: 50%;
    height: 70%;
    border: 1px solid black;
    border-radius: 10%;
    background-color: rgb(151, 246, 255);
    color: black;
}

@keyframes cabins {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(-360deg);
    }
}

.favorite-color {
    width: 18vw;
    height: 6vw;
    margin: 10px auto;
}

.yellow {
    background: linear-gradient(rgb(170, 170, 0), rgb(255, 255, 0), rgb(218, 218, 0));
    box-shadow: 0 0 20px 0 rgb(189, 189, 0);
    animation-name: slide;
    animation-duration: 5s;
    animation-iteration-count: 2;
    animation-timing-function: ease;
}

.purple {
    background: linear-gradient(rgb(99, 0, 170), rgb(157, 0, 255), rgb(116, 0, 218));
    box-shadow: 0 0 20px 0 rgb(94, 0, 189);
    animation-name: slide;
    animation-duration: 5s;
    animation-iteration-count: 2;
    animation-timing-function: ease;
}

.black {
    background: linear-gradient(rgb(0, 0, 0), rgb(72, 72, 72), rgb(30, 30, 30));
    box-shadow: 0 0 20px 0 rgb(19, 19, 19);
    animation-name: slide;
    animation-duration: 5s;
    animation-iteration-count: 2;
    animation-timing-function: ease;
}

.green {
    background: linear-gradient(rgb(0, 170, 0), rgb(0, 255, 0), rgb(0, 218, 0));
    box-shadow: 0 0 20px 0 rgb(0, 189, 0);
    animation-name: slide;
    animation-duration: 5s;
    animation-iteration-count: 2;
    animation-timing-function: ease;
}


.burger, .taco, .ramen, .pizza {
    animation-name: slide;
    animation-duration: 5s;
    animation-iteration-count: 2;
    animation-timing-function: ease;
}

.hobby-text-one {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(54, 54, 54), rgb(44, 61, 138));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -1px -1px 0px rgb(194, 194, 194);
    font-size: 1.5vw;
    text-align: center;
    animation-name: slide;
    animation-duration: 5s;
    animation-iteration-count: 2;
    animation-timing-function: ease;
}

.hobby-text-two {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(54, 54, 54), rgb(44, 61, 138));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -2px -2px 0px rgb(194, 194, 194);
    font-size: 5vw;
    text-align: center;
    animation-name: slide;
    animation-duration: 5s;
    animation-iteration-count: 2;
    animation-timing-function: ease;
}

.tic-tac-toe-board {
    margin: 0 auto;
    width: 302px;
    border: solid 1px rgb(0, 110, 0);
    display: flex;
    flex-wrap: wrap;
}

.tic-tac-toe-title {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(100, 100, 100), rgb(255, 0, 0));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -3px -3px 0px rgb(0, 200, 0);
    font-size: 3vw;
    text-align: center;
    text-transform: uppercase;
    padding: 10px;
}

.tic-tac-toe-board button {
    width: 100px;
    height: 100px;
    font-size: 60px;
    font-weight: bold;
    padding: 10px;
    border: solid 1px rgb(0, 110, 0);
    cursor: pointer;
    background: -webkit-linear-gradient(rgb(100, 100, 100), rgb(255, 0, 0));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -3px -3px 0px rgb(0, 200, 0);
}

.tic-tac-toe-board button:hover {
    background-color: rgb(200, 200, 200)
}

.reset-btn-container {
    text-align: center;
    padding: 10px;
}

.reset-btn {
    letter-spacing: 5px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(100, 100, 100), rgb(255, 0, 0));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -1px -1px 0px rgb(0, 200, 0);
    font-size: 2vw;
    text-align: center;
    border: none;
    text-transform: uppercase;
    cursor: pointer;
}

.return-btn {
    letter-spacing: 5px;
    font-family: 'Little Toy Builders', sans-serif;
    text-align: left;
    margin: 0 auto;
    display: table;
    background: -webkit-linear-gradient(rgb(100, 100, 100), rgb(255, 0, 0));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -1px -1px 0px rgb(0, 200, 0);
}

.move-btn button {
    letter-spacing: 3px;
    font-family: 'Little Toy Builders', sans-serif;
    text-align: center;
    border: none;
    background-color: inherit;
    cursor: pointer;
    text-transform: uppercase;
    font-size: 20px;
    background: -webkit-linear-gradient(rgb(100, 100, 100), rgb(255, 0, 0));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -1px -1px 0px rgb(0, 200, 0);
    margin-bottom: 3px;
}

.reset-btn:hover, .return-btn:hover, .move-btn button:hover {
    font-size: 110%;
}

.coming-soon {
    letter-spacing: 10px;
    font-family: 'Little Toy Builders', sans-serif;
    background: -webkit-linear-gradient(rgb(191, 147, 225), rgb(138, 36, 255));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: -5px -5px 0px rgb(255, 255, 109);
    font-size: 6vw;
    text-align: center;
    text-transform: uppercase;
    margin-top: 50px;
}
